<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wcs/wcs/dt_equipmentinfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wcs/wcs/dt_equipmentinfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'equipment_id',
            footer: "Foots",
            cnName: '设备管理',
            name: 'wcs/dt_equipmentinfo',
            url: "/dt_equipmentinfo/",
            sortName: "equipment_createtime"
        });
        const editFormFields = ref({ "equipment_code": "", "equipment_name": "", "equipment_state": "", "equipment_type": "", "equipment_createtime": "", "equipment_remark": "" });
        const editFormOptions = ref([[{ "title": "设备编号", "required": true, "field": "equipment_code" },
        { "title": "设备名称", "field": "equipment_name" },
        { "dataKey": "EqStatus", "data": [], "title": "设备状态", "required": true, "field": "equipment_state" },
        { "title": "设备类型", "required": true, "field": "equipment_type" }],
        [{ "title": "备注", "required": true, "field": "equipment_remark" }]]);
        const searchFormFields = ref({ "equipment_code": "", "equipment_name": "", "equipment_state": "", "equipment_type": "", "equipment_createtime": "", "equipment_remark": "" });
        const searchFormOptions = ref([[{ "title": "设备名称", "field": "equipment_name", "type": "like" }, { "title": "设备编号", "field": "equipment_code", "type": "like" },
        { "dataKey": "EqStatus", "data": [], "title": "设备状态", "field": "equipment_state", "type": "select" }
            , { "title": "设备类型", "field": "equipment_type", "type": "like" }], [{ "title": "备注", "field": "equipment_remark", "type": "like" }]]);
        const columns = ref([{ field: 'equipment_id', title: 'equipment_id', type: 'guid', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'equipment_code', title: '设备编号', type: 'string', width: 110, require: true, align: 'left', sort: true },
        { field: 'equipment_name', title: '设备名称', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'equipment_state', title: '设备状态', type: 'string', bind: { key: 'EqStatus', data: [] }, width: 35, require: true, align: 'left' },
        { field: 'equipment_type', title: '设备类型(调度类型)', type: 'string', width: 110, require: true, align: 'left' },
        { field: 'equipment_remark', title: '备注', type: 'string', width: 110, require: true, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
